---
title: "GetSuperadminContext"
generated: true
---


## getSuperadminContext

<GenerationInfo sourceFile="packages/testing/src/utils/get-superadmin-context.ts" sourceLine="11" packageName="@vendure/testing" />

Creates a <a href='/reference/typescript-api/request/request-context#requestcontext'>RequestContext</a> configured for the default Channel with the activeUser set
as the superadmin user. Useful for populating data.

```ts title="Signature"
function getSuperadminContext(app: INestApplicationContext): Promise<RequestContext>
```
Parameters

### app

<MemberInfo kind="parameter" type={`INestApplicationContext`} />

